#Module-Specific definitions
%define apache_version 2.2.4
%define mod_name mod_auth_pgsql
%define mod_conf 13_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Basic authentication for the apache web server using a PostgreSQL database
Name:		apache-%{mod_name}
Version:	2.0.3
Release:	%mkrel 13
Group:		System/Servers
License:	Apache License
URL:		http://www.giuseppetanzilli.it/mod_auth_pgsql2/
Source0:	http://www.giuseppetanzilli.it/mod_auth_pgsql2/dist/%{mod_name}-%{version}.tar.bz2
Source1:	%{mod_conf}
Patch0:		mod_auth_pgsql-2.0.3-nonpgsql.diff
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache-conf >= %{apache_version}
Requires(pre):  apache >= %{apache_version}
Requires:	apache-conf >= %{apache_version}
Requires:	apache >= %{apache_version}
BuildRequires:  apache-devel >= %{apache_version}
BuildRequires:	postgresql-devel
BuildRequires:	openssl-devel
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
mod_auth_pgsql can be used to limit access to documents served by a web server
by checking fields in a table in a PostgresQL database.

%prep

%setup -q -n %{mod_name}-%{version}
%patch0 -p0 -b .nonpgsql

cp %{SOURCE1} %{mod_conf}

%build

%{_sbindir}/apxs -I%{_includedir}/pgsql -L%{_libdir} \
    "-lpq -lcrypto -lssl" -c mod_auth_pgsql.c -n mod_auth_pgsql.so

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README INSTALL *.html
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}


%changelog
* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.3-13mdv2009.0
+ Revision: 235635
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.3-12mdv2009.0
+ Revision: 215285
- rebuild

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.3-11mdv2008.1
+ Revision: 181434
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:2.0.3-10mdv2008.1
+ Revision: 148461
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.3-9mdv2008.0
+ Revision: 82355
- rebuild

* Sat Aug 18 2007 Michael Scherer <misc@mandriva.org> 1:2.0.3-8mdv2008.0
+ Revision: 65541
- fix rpmlint warning buildprereq-use

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild
    - use the new %%serverbuild macro

* Wed Jun 13 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.3-6mdv2008.0
+ Revision: 38407
- rebuild


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.3-5mdv2007.1
+ Revision: 140577
- rebuild

* Tue Feb 27 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.3-4mdv2007.1
+ Revision: 126605
- general cleanups

* Fri Jan 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.3-3mdv2007.1
+ Revision: 110702
- rebuilt against new postgresql libs

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.3-2mdv2007.1
+ Revision: 79229
- Import apache-mod_auth_pgsql

* Sun Jul 30 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.3-2mdv2007.0
- rebuild

* Sat Jan 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.3-1mdk
- 2.0.3 (addresses CVE-2005-3656)
- rediffed P0
- drop upstream patches; P1,P2,P4

* Mon Dec 12 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.2b1-5mdk
- rebuilt against apache-2.2.0
- added one apr1 patch from fedora (P4)

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.2b1-4mdk
- rebuilt against openssl-0.9.8a

* Sun Nov 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.2b1-3mdk
- added one possible crash fix from fdr (P2)

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.2b1-2mdk
- rebuilt to provide a -debug package too

* Sat Oct 15 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.2b1-1mdk
- fix versioning

* Sat Oct 15 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.55_2.0.2b1-1mdk
- rebuilt for apache-2.0.55

* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0.2b1-3mdk
- added another work around for a rpm bug

* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0.2b1-2mdk
- added a work around for a rpm bug, "Requires(foo,bar)" don't work

* Fri May 27 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0.2b1-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Thu Mar 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.2b1-6mdk
- use the %%mkrel macro

* Sun Feb 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.2b1-5mdk
- fix %%post and %%postun to prevent double restarts

* Wed Feb 16 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.53_2.0.2b1-4mdk
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.2b1-3mdk
- fix deps

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.2b1-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.2b1-1mdk
- rebuilt for apache 2.0.53

* Sat Nov 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.0.2b1-2mdk
- added P0,P2 from fedora

* Wed Sep 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.0.2b1-1mdk
- built for apache 2.0.52

* Fri Sep 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_2.0.2b1-1mdk
- built for apache 2.0.51

* Wed Aug 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_2.0.2b1-3mdk
- rebuilt

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_2.0.2b1-2mdk
- remove redundant provides

* Thu Jul 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_2.0.2b1-1mdk
- built for apache 2.0.50

* Sat Jun 12 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_2.0.2b1-1mdk
- 2.0.2b1
- built for apache 2.0.49

